Index: trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 1601)
@@ -29,16 +29,18 @@
    !!                   namrun namelist parameters
    !!----------------------------------------------------------------------
-   CHARACTER(len=16)  ::   cexper        = "exp0"      !: experiment name used for output filename
+   CHARACTER(len=16)  ::   cn_exp        = "exp0"      !: experiment name used for output filename
    CHARACTER(len=32)  ::   cn_ocerst_in  = "restart"   !: suffix of ocean restart name (input)
    CHARACTER(len=32)  ::   cn_ocerst_out = "restart"   !: suffix of ocean restart name (output)
    LOGICAL            ::   ln_rstart     = .FALSE.     !: start from (F) rest or (T) a restart file
-   INTEGER            ::   no            = 0           !: job number
-   INTEGER            ::   nrstdt        = 0           !: control of the time step (0, 1 or 2)
+   INTEGER            ::   nn_no         = 0           !: job number
+   INTEGER            ::   nn_rstctl     = 0           !: control of the time step (0, 1 or 2)
    INTEGER            ::   nn_rstssh     = 0           !: hand made initilization of ssh or not (1/0)
-   INTEGER            ::   nit000        = 1           !: index of the first time step
-   INTEGER            ::   nitend        = 10          !: index of the last time step
-   INTEGER            ::   ndate0        = 961115      !: initial calendar date aammjj
-   INTEGER            ::   nleapy        = 0           !: Leap year calendar flag (0/1 or 30)
-   INTEGER            ::   ninist        = 0           !: initial state output flag (0/1)
+   INTEGER            ::   nn_it000      = 1           !: index of the first time step
+   INTEGER            ::   nn_itend      = 10          !: index of the last time step
+   INTEGER            ::   nn_date0      = 961115      !: initial calendar date aammjj
+   INTEGER            ::   nn_leapy      = 0           !: Leap year calendar flag (0/1 or 30)
+   INTEGER            ::   nn_istate     = 0           !: initial state output flag (0/1)
+   INTEGER            ::   nn_write      =   10        !: model standard output frequency
+   INTEGER            ::   nn_stock      =   10        !: restart file frequency
    LOGICAL            ::   ln_dimgnnn    = .FALSE.     !: type of dimgout. (F): 1 file for all proc
                                                        !:                  (T): 1 file per proc
@@ -46,24 +48,43 @@
    LOGICAL            ::   ln_clobber    = .FALSE.     !: clobber (overwrite) an existing file
    INTEGER            ::   nn_chunksz    = 0           !: chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
+
+   !! conversion of DOCTOR norm namelist name into model name
+   !! (this should disappear in a near futur)
+
+   CHARACTER(len=16)  ::   cexper                      !: experiment name used for output filename
+   INTEGER            ::   no                          !: job number
+   INTEGER            ::   nrstdt                      !: control of the time step (0, 1 or 2)
+   INTEGER            ::   nit000                      !: index of the first time step
+   INTEGER            ::   nitend                      !: index of the last time step
+   INTEGER            ::   ndate0                      !: initial calendar date aammjj
+   INTEGER            ::   nleapy                      !: Leap year calendar flag (0/1 or 30)
+   INTEGER            ::   ninist                      !: initial state output flag (0/1)
+   INTEGER            ::   nwrite                      !: model standard output frequency
+   INTEGER            ::   nstock                      !: restart file frequency
+
    !!----------------------------------------------------------------------
    !! was in restart but moved here because of the OFF line... better solution should be found...
    !!----------------------------------------------------------------------
    INTEGER            ::   nitrst                 !: time step at which restart file should be written
+
    !!----------------------------------------------------------------------
    !!                    output monitoring
    !!----------------------------------------------------------------------
    LOGICAL            ::   ln_ctl     = .FALSE.   !: run control for debugging
-   INTEGER            ::   nstock     =   10      !: restart file frequency
-   INTEGER            ::   nprint     =    0      !: level of print (0 no print)
-   INTEGER            ::   nwrite     =   10      !: restart file frequency
-   INTEGER            ::   nictls     =    0      !: Start i indice for the SUM control
-   INTEGER            ::   nictle     =    0      !: End   i indice for the SUM control
-   INTEGER            ::   njctls     =    0      !: Start j indice for the SUM control
-   INTEGER            ::   njctle     =    0      !: End   j indice for the SUM control
-   INTEGER            ::   isplt      =    1      !: number of processors following i
-   INTEGER            ::   jsplt      =    1      !: number of processors following j
+   INTEGER            ::   nn_print     =    0    !: level of print (0 no print)
+   INTEGER            ::   nn_ictls     =    0    !: Start i indice for the SUM control
+   INTEGER            ::   nn_ictle     =    0    !: End   i indice for the SUM control
+   INTEGER            ::   nn_jctls     =    0    !: Start j indice for the SUM control
+   INTEGER            ::   nn_jctle     =    0    !: End   j indice for the SUM control
+   INTEGER            ::   nn_isplt      =    1   !: number of processors following i
+   INTEGER            ::   nn_jsplt      =    1   !: number of processors following j
+   INTEGER            ::   nn_bench     =    0    !: benchmark parameter (0/1)
+   INTEGER            ::   nn_bit_cmp   =    0    !: bit reproducibility  (0/1)
+
+   !                                              !: OLD namelist names
+   INTEGER ::   nprint, nictls, nictle, njctls, njctle, isplt, jsplt, nbench, nbit_cmp   
+
    INTEGER            ::   ijsplt     =    1      !: nb of local domain = nb of processors
-   INTEGER            ::   nbench     =    0      !: benchmark parameter (0/1)
-   INTEGER            ::   nbit_cmp   =    0      !: bit reproducibility  (0/1)
+
    !!----------------------------------------------------------------------
    !!                        logical units
@@ -84,5 +105,4 @@
    !!                          Run control  
    !!----------------------------------------------------------------------
-
    INTEGER            ::   nstop = 0                !: error flag (=number of reason for a premature stop run)
    INTEGER            ::   nwarn = 0                !: warning flag (=number of warning found during the run)
Index: trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 1601)
@@ -4,4 +4,7 @@
    !! Ocean physics:  lateral viscosity coefficient 
    !!=====================================================================
+   !! History :  OPA  ! 1997-07  (G. Madec)  multi dimensional coefficients
+   !!   NEMO     1.0  ! 2002-09  (G. Madec)  F90: Free form and module
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -11,5 +14,4 @@
    !!   ldf_dyn_c1d   : 1D eddy viscosity coefficient initialization
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers   
    USE dom_oce         ! ocean space and time domain 
@@ -17,4 +19,5 @@
    USE phycst          ! physical constants
    USE ldfslp          ! ???
+   USE ioipsl
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distribued memory computing library
@@ -24,6 +27,5 @@
    PRIVATE
 
-   !! *  Routine accessibility
-   PUBLIC ldf_dyn_init   ! called by opa.F90
+   PUBLIC   ldf_dyn_init   ! called by opa.F90
 
   INTERFACE ldf_zpf
@@ -34,7 +36,7 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -48,12 +50,9 @@
       !!
       !! ** Method  :  
-      !!      Eddy viscosity coefficients:
-      !!         default option   : constant coef. ahm0 (namelist)
-      !!        'key_dynldf_c1d': depth dependent coef. defined in 
-      !!                        in ldf_dyn_c1d routine
-      !!        'key_dynldf_c2d': latitude and longitude dependent coef.
-      !!                        defined in ldf_dyn_c2d routine
-      !!        'key_dynldf_c3d': latitude, longitude, depth dependent coef.
-      !!                        defined in ldf_dyn_c3d routine
+      !!      -  default option : ahm = constant coef. = rn_ahm_0 (namelist)
+      !!      - 'key_dynldf_c1d': ahm = F(depth)                     see ldf_dyn_c1d.h90
+      !!      - 'key_dynldf_c2d': ahm = F(latitude,longitude)        see ldf_dyn_c2d.h90
+      !!      - 'key_dynldf_c3d': ahm = F(latitude,longitude,depth)  see ldf_dyn_c3d.h90
+      !!
       !!      N.B. User defined include files.  By default, 3d and 2d coef.
       !!      are set to a constant value given in the namelist and the 1d
@@ -61,48 +60,33 @@
       !!      profile.
       !!
-      !! Reference :
-      !!      Madec, G. and M. Imbard, 1996, A global ocean mesh to overcome
-      !!      the North Pole singularity, Climate Dynamics, 12, 381-388.
-      !!
-      !! History :
-      !!        !  07-97  (G. Madec)  from inimix.F split in 2 routines
-      !!        !  08-97  (G. Madec)  multi dimensional coefficients
-      !!   8.5  !  02-09  (G. Madec)  F90: Free form and module
-      !!----------------------------------------------------------------------
-      !! * Modules used
-      USE ioipsl
-
-      !! * Local declarations
+      !! Reference :   Madec, G. and M. Imbard, 1996: Climate Dynamics, 12, 381-388.
+      !!----------------------------------------------------------------------
       INTEGER ::   ioptio         ! ???
       LOGICAL :: ll_print = .FALSE.    ! Logical flag for printing viscosity coef.
-
-       
-      NAMELIST/nam_dynldf/ ln_dynldf_lap  , ln_dynldf_bilap,                &
-         &                 ln_dynldf_level, ln_dynldf_hor, ln_dynldf_iso,   &
-         &                 ahm0, ahmb0
-      !!----------------------------------------------------------------------
-
-
-      ! Define the lateral physics parameters
-      ! ======================================
-    
-      ! Read Namelist nam_dynldf : Lateral physics
-      REWIND( numnam )
-      READ  ( numnam, nam_dynldf )
-
-      ! Parameter print
-      IF(lwp) THEN
+      !! 
+      NAMELIST/namdyn_ldf/ ln_dynldf_lap  , ln_dynldf_bilap,                  &
+         &                 ln_dynldf_level, ln_dynldf_hor  , ln_dynldf_iso,   &
+         &                 rn_ahm_0       , rn_ahmb_0
+      !!----------------------------------------------------------------------
+
+      REWIND( numnam )                  ! Read Namelist namdyn_ldf : Lateral physics
+      READ  ( numnam, namdyn_ldf )
+
+      IF(lwp) THEN                      ! Parameter print
          WRITE(numout,*)
          WRITE(numout,*) 'ldf_dyn : lateral momentum physics'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_dynldf : set lateral mixing parameters'
-         WRITE(numout,*) '             laplacian operator          ln_dynldf_lap   = ', ln_dynldf_lap
-         WRITE(numout,*) '             bilaplacian operator        ln_dynldf_bilap = ', ln_dynldf_bilap
-         WRITE(numout,*) '             iso-level                   ln_dynldf_level = ', ln_dynldf_level
-         WRITE(numout,*) '             horizontal (geopotential)   ln_dynldf_hor   = ', ln_dynldf_hor
-         WRITE(numout,*) '             iso-neutral                 ln_dynldf_iso   = ', ln_dynldf_iso
-         WRITE(numout,*) '             horizontal eddy viscosity            ahm0   = ', ahm0
-         WRITE(numout,*) '             background viscosity                 ahmb0  = ', ahmb0
-      ENDIF
+         WRITE(numout,*) '   Namelist nam_dynldf : set lateral mixing parameters'
+         WRITE(numout,*) '      laplacian operator          ln_dynldf_lap   = ', ln_dynldf_lap
+         WRITE(numout,*) '      bilaplacian operator        ln_dynldf_bilap = ', ln_dynldf_bilap
+         WRITE(numout,*) '      iso-level                   ln_dynldf_level = ', ln_dynldf_level
+         WRITE(numout,*) '      horizontal (geopotential)   ln_dynldf_hor   = ', ln_dynldf_hor
+         WRITE(numout,*) '      iso-neutral                 ln_dynldf_iso   = ', ln_dynldf_iso
+         WRITE(numout,*) '      horizontal eddy viscosity   rn_ahm_0        = ', rn_ahm_0
+         WRITE(numout,*) '      background viscosity        rn_ahmb_0       = ', rn_ahmb_0
+      ENDIF
+
+      ahm0  = rn_ahm_0                  ! OLD namelist variables defined from DOCTOR namelist variables
+      ahmb0 = rn_ahmb_0
 
       ! ... check of lateral diffusive operator on tracers
@@ -112,32 +96,29 @@
       ioptio = 0
 #if defined key_dynldf_c3d
-      IF(lwp) WRITE(numout,*) '          momentum mixing coef. = F( latitude, longitude, depth)'
+      IF(lwp) WRITE(numout,*) '   momentum mixing coef. = F( latitude, longitude, depth)'
       ioptio = ioptio+1
 #endif
 #if defined key_dynldf_c2d
-      IF(lwp) WRITE(numout,*) '          momentum mixing coef. = F( latitude, longitude)'
+      IF(lwp) WRITE(numout,*) '   momentum mixing coef. = F( latitude, longitude)'
       ioptio = ioptio+1
 #endif
 #if defined key_dynldf_c1d
-      IF(lwp) WRITE(numout,*) '          momentum mixing coef. = F( depth )'
+      IF(lwp) WRITE(numout,*) '   momentum mixing coef. = F( depth )'
       ioptio = ioptio+1
-      IF( ln_sco ) CALL ctl_stop( '          key_dynldf_c1d cannot be used in s-coordinate (ln_sco)' )
+      IF( ln_sco ) CALL ctl_stop( 'key_dynldf_c1d cannot be used in s-coordinate (ln_sco)' )
 #endif
       IF( ioptio == 0 ) THEN
-          IF(lwp) WRITE(numout,*) '          momentum mixing coef. = constant  (default option)'
+          IF(lwp) WRITE(numout,*) '   momentum mixing coef. = constant  (default option)'
         ELSEIF( ioptio > 1 ) THEN
-           CALL ctl_stop( '          use only one of the following keys:',   &
-                &         ' key_dynldf_c3d, key_dynldf_c2d, key_dynldf_c1d' )
+           CALL ctl_stop( 'use only one of the following keys: key_dynldf_c3d, key_dynldf_c2d, key_dynldf_c1d' )
       ENDIF
 
 
       IF( ln_dynldf_bilap ) THEN
-         IF(lwp) WRITE(numout,*) '          biharmonic momentum diffusion'
-         IF( ahm0 > 0 .AND. .NOT. lk_esopa )   &
-              &   CALL ctl_stop( 'The horizontal viscosity coef. ahm0 must be negative' )
+         IF(lwp) WRITE(numout,*) '   biharmonic momentum diffusion'
+         IF( ahm0 > 0 .AND. .NOT. lk_esopa )   CALL ctl_stop( 'The horizontal viscosity coef. ahm0 must be negative' )
       ELSE
-         IF(lwp) WRITE(numout,*) '          harmonic momentum diff. (default)'
-         IF( ahm0 < 0 .AND. .NOT. lk_esopa ) &
-              &   CALL ctl_stop( '          The horizontal viscosity coef. ahm0 must be positive' )
+         IF(lwp) WRITE(numout,*) '   harmonic momentum diff. (default)'
+         IF( ahm0 < 0 .AND. .NOT. lk_esopa )   CALL ctl_stop( 'The horizontal viscosity coef. ahm0 must be positive' )
       ENDIF
 
@@ -145,5 +126,4 @@
       ! Lateral eddy viscosity
       ! ======================
-
 #if defined key_dynldf_c3d
       CALL ldf_dyn_c3d( ll_print )   ! ahm = 3D coef. = F( longitude, latitude, depth )
@@ -159,5 +139,5 @@
       IF(lwp) WRITE(numout,*) '        ahm1 = ahm2 = ahm0 =  ',ahm0
 #endif
-
+      !
    END SUBROUTINE ldf_dyn_init
 
@@ -178,18 +158,12 @@
       !!
       !! ** Method  :   1D eddy viscosity coefficients ( depth )
-      !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      LOGICAL , INTENT (in   ) :: ld_print   ! If true, output arrays on numout
-      REAL(wp), INTENT (in   ) ::   &
-          pdam,     &  ! depth of the inflection point
-          pwam,     &  ! width of inflection
-          pbot         ! battom value (0<pbot<= 1)
-      REAL(wp), INTENT (in   ), DIMENSION(jpk) ::   &
-          pdep         ! depth of the gridpoint (T, U, V, F)
-      REAL(wp), INTENT (inout), DIMENSION(jpk) ::   &
-          pah          ! adimensional vertical profile
-
-      !! * Local variables
+      !!----------------------------------------------------------------------
+      LOGICAL , INTENT(in   )                 ::   ld_print   ! If true, output arrays on numout
+      REAL(wp), INTENT(in   )                 ::   pdam       ! depth of the inflection point
+      REAL(wp), INTENT(in   )                 ::   pwam       ! width of inflection
+      REAL(wp), INTENT(in   )                 ::   pbot       ! bottom value (0<pbot<= 1)
+      REAL(wp), INTENT(in   ), DIMENSION(jpk) ::   pdep       ! depth of the gridpoint (T, U, V, F)
+      REAL(wp), INTENT(inout), DIMENSION(jpk) ::   pah        ! adimensional vertical profile
+      !!
       INTEGER  ::   jk           ! dummy loop indices
       REAL(wp) ::   zm00, zm01, zmhb, zmhs       ! temporary scalars
@@ -205,6 +179,5 @@
       END DO
 
-      ! Control print
-      IF(lwp .AND. ld_print ) THEN
+      IF(lwp .AND. ld_print ) THEN      ! Control print
          WRITE(numout,*)
          WRITE(numout,*) '         ahm profile : '
@@ -215,5 +188,5 @@
          END DO
       ENDIF
-
+      !
    END SUBROUTINE ldf_zpf_1d
 
@@ -226,18 +199,12 @@
       !!
       !! ** Method  :   1D eddy viscosity coefficients ( depth )
-      !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      LOGICAL , INTENT (in   ) :: ld_print   ! If true, output arrays on numout
-      REAL(wp), INTENT (in   ) ::   &
-          pdam,     &  ! depth of the inflection point
-          pwam,     &  ! width of inflection
-          pbot         ! battom value (0<pbot<= 1)
-      REAL(wp), INTENT (in   ), DIMENSION(jpk) ::   &
-          pdep         ! depth of the gridpoint (T, U, V, F)
-      REAL(wp), INTENT (inout), DIMENSION(jpi,jpj,jpk) ::   &
-          pah          ! adimensional vertical profile
-
-      !! * Local variables
+      !!----------------------------------------------------------------------
+      LOGICAL , INTENT(in   )                         ::   ld_print   ! If true, output arrays on numout
+      REAL(wp), INTENT(in   )                         ::   pdam       ! depth of the inflection point
+      REAL(wp), INTENT(in   )                         ::   pwam       ! width of inflection
+      REAL(wp), INTENT(in   )                         ::   pbot       ! bottom value (0<pbot<= 1)
+      REAL(wp), INTENT(in   ), DIMENSION        (jpk) ::   pdep       ! depth of the gridpoint (T, U, V, F)
+      REAL(wp), INTENT(inout), DIMENSION(jpi,jpj,jpk) ::   pah        ! adimensional vertical profile
+      !!
       INTEGER  ::   jk           ! dummy loop indices
       REAL(wp) ::   zm00, zm01, zmhb, zmhs, zcf  ! temporary scalars
@@ -254,6 +221,5 @@
       END DO
 
-      ! Control print
-      IF(lwp .AND. ld_print ) THEN
+      IF(lwp .AND. ld_print ) THEN      ! Control print
          WRITE(numout,*)
          WRITE(numout,*) '         ahm profile : '
@@ -264,5 +230,5 @@
          END DO
       ENDIF
-
+      !
    END SUBROUTINE ldf_zpf_1d_3d
 
@@ -275,18 +241,12 @@
       !!
       !! ** Method  :   3D for partial step or s-coordinate
-      !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      LOGICAL , INTENT (in   ) :: ld_print   ! If true, output arrays on numout
-      REAL(wp), INTENT (in   ) ::   &
-          pdam,     &  ! depth of the inflection point
-          pwam,     &  ! width of inflection
-          pbot         ! reduction factor (surface value / bottom value)
-      REAL(wp), INTENT (in   ), DIMENSION(jpi,jpj,jpk) ::   &
-          pdep         ! dep of the gridpoint (T, U, V, F)
-      REAL(wp), INTENT (inout), DIMENSION(jpi,jpj,jpk) ::   &
-          pah          ! adimensional vertical profile
-
-      !! * Local variables
+      !!----------------------------------------------------------------------
+      LOGICAL , INTENT(in   )                         ::   ld_print   ! If true, output arrays on numout
+      REAL(wp), INTENT(in   )                         ::   pdam       ! depth of the inflection point
+      REAL(wp), INTENT(in   )                         ::   pwam       ! width of inflection
+      REAL(wp), INTENT(in   )                         ::   pbot       ! bottom value (0<pbot<= 1)
+      REAL(wp), INTENT(in   ), DIMENSION(jpi,jpj,jpk) ::   pdep       ! dep of the gridpoint (T, U, V, F)
+      REAL(wp), INTENT(inout), DIMENSION(jpi,jpj,jpk) ::   pah        ! adimensional vertical profile
+      !!
       INTEGER  ::   jk           ! dummy loop indices
       REAL(wp) ::   zm00, zm01, zmhb, zmhs       ! temporary scalars
@@ -302,6 +262,5 @@
       END DO
 
-      ! Control print
-      IF(lwp .AND. ld_print ) THEN
+      IF(lwp .AND. ld_print ) THEN      ! Control print
          WRITE(numout,*)
          WRITE(numout,*) '         ahm profile : '
@@ -312,6 +271,7 @@
          END DO
       ENDIF
-
+      !
    END SUBROUTINE ldf_zpf_3d
+
    !!======================================================================
 END MODULE ldfdyn
Index: trunk/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 1601)
@@ -4,16 +4,6 @@
    !! Ocean physics:  lateral momentum mixing coefficient defined in memory 
    !!======================================================================
-   !!
-   !! ** Purpose :
-   !!       - Define in memory lateral momentum mixing coefficients
-   !!
-   !! History :
-   !!   8.5  !  02-11  (G. Madec)  F90: Free form and module
+   !! History :  1.0  ! 2002-11  (G. Madec)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce      ! ocean parameters
 
@@ -21,30 +11,29 @@
    PUBLIC
 
-   !!----------------------------------------------------------------------
-   !! Lateral eddy viscosity coefficients (dynamics)
-   !!----------------------------------------------------------------------
+   !                                                  !!* Namelist namdyn_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_dynldf_lap   = .TRUE.      !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_bilap = .FALSE.     !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_level = .FALSE.     !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_dynldf_hor   = .TRUE.      !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_dynldf_iso   = .FALSE.     !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_ahm_0        = 40000._wp   !: lateral eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahmb_0       =     0._wp   !: lateral background eddy viscosity (m2/s)
 
-   LOGICAL  ::                      & !!! ** lateral mixing namelist (nam_dynldf) **
-      ln_dynldf_lap   = .TRUE.  ,   &  ! laplacian operator
-      ln_dynldf_bilap = .FALSE. ,   &  ! bilaplacian operator
-      ln_dynldf_level = .FALSE. ,   &  ! iso-level direction
-      ln_dynldf_hor   = .TRUE.  ,   &  ! horizontal (geopotential) direction
-      ln_dynldf_iso   = .FALSE.        ! iso-neutral direction
-
-   REAL(wp) ::                      & !!! ** lateral mixing namelist (nam_dynldf) **
-      ahm0  = 40000._wp ,   &  ! lateral eddy viscosity (m2/s)
-      ahmb0 =     0._wp        ! lateral background eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   ahm0, ahmb0                 ! OLD namelist names
 
 #if defined key_dynldf_c3d
-   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &  ! ** 3D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   ahm1, ahm2, ahm3, ahm4  ! ** 3D coefficients **
 #elif defined key_dynldf_c2d
-   REAL(wp), DIMENSION(jpi,jpj)     ::   &  ! ** 2D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   ahm1, ahm2, ahm3, ahm4  ! ** 2D coefficients **
 #elif defined key_dynldf_c1d
-   REAL(wp), DIMENSION(jpk)         ::   &  ! ** 2D coefficients **
+   REAL(wp), PUBLIC, DIMENSION(jpk)         ::   ahm1, ahm2, ahm3, ahm4  ! ** 2D coefficients **
 #else
-   REAL(wp)                         ::   &  ! ** 0D coefficients **
+   REAL(wp), PUBLIC                         ::   ahm1, ahm2, ahm3, ahm4  ! ** 0D coefficients **
 #endif
-      ahm1, ahm2, ahm3, ahm4                ! ????
 
    !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!======================================================================
 END MODULE ldfdyn_oce
